#!/usr/bin/python
import gtk
import gtk.glade

class Callbacks:
   def __init__(self, xml):
      self.xml = xml

   # Window-level callbacks
   def on_addRepoDialog_destroy(self, widget, *args):
      gtk.main_quit()

   def on_cancelButton_clicked(self, widget, *args):
      gtk.main_quit()

   def on_okButton_clicked(self, widget, *args):
      gtk.main_quit()

   def on_typeComboBox_changed(self, widget, *args):
      if widget.get_active() == -1:
         return

      notebook = self.xml.get_widget("typeNotebook")
      notebook.set_current_page(widget.get_active())

   # URL-specific callbacks
   def on_proxyCheckbox_toggled(self, widget, *args):
      table = self.xml.get_widget("proxyTable")
      table.set_sensitive(widget.get_active())

   def on_mirrorlistCheckbox_toggled(self, widget, *args):
      pass

xml = gtk.glade.XML("addrepo.glade")
xml.signal_autoconnect(Callbacks(xml))

# temporary
xml.get_widget("proxyTable").set_sensitive(False)

# hate.
xml.get_widget("typeComboBox").set_active(0)
gtk.main()
